From a703379fea71cf00a356d814b6d22da410c8895b Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Tue, 20 Feb 2024 04:16:17 +0800
Subject: [PATCH 1/2] Fix some includes

---
 src/core/op_/alphasparse_convert_csr5.c  | 2 ++
 src/core/op_/alphasparse_convert_ell.c   | 1 +
 src/core/op_/alphasparse_convert_gebsr.c | 2 ++
 src/core/op_/alphasparse_convert_hyb.c   | 2 ++
 src/core/op_/alphasparse_convert_sky.c   | 1 +
 5 files changed, 8 insertions(+)

diff --git a/src/core/op_/alphasparse_convert_csr5.c b/src/core/op_/alphasparse_convert_csr5.c
index 0023803..2355167 100644
--- a/src/core/op_/alphasparse_convert_csr5.c
+++ b/src/core/op_/alphasparse_convert_csr5.c
@@ -1,6 +1,8 @@
+#include "alphasparse.h"
 #include "alphasparse/format.h"
 #include "alphasparse/spmat.h"
 #include "alphasparse/util/check.h"
+#include "alphasparse/util/malloc.h"
 
 #include <stdio.h>
 
diff --git a/src/core/op_/alphasparse_convert_ell.c b/src/core/op_/alphasparse_convert_ell.c
index 59343d0..bbc2720 100644
--- a/src/core/op_/alphasparse_convert_ell.c
+++ b/src/core/op_/alphasparse_convert_ell.c
@@ -4,6 +4,7 @@
 #include "alphasparse/spmat.h"
 #include "alphasparse/util/check.h"
 #include "alphasparse/util/malloc.h"
+
 alphasparse_status_t convert_ell_datatype_coo(const alpha_internal_spmat *source,
                                              alpha_internal_spmat **dest,
                                              alphasparse_datatype_t datatype) {
diff --git a/src/core/op_/alphasparse_convert_gebsr.c b/src/core/op_/alphasparse_convert_gebsr.c
index 08a8d87..af5d990 100644
--- a/src/core/op_/alphasparse_convert_gebsr.c
+++ b/src/core/op_/alphasparse_convert_gebsr.c
@@ -1,6 +1,8 @@
+#include "alphasparse.h"
 #include "alphasparse/format.h"
 #include "alphasparse/spmat.h"
 #include "alphasparse/util/check.h"
+#include "alphasparse/util/malloc.h"
 
 alphasparse_status_t convert_gebsr_datatype_coo(const alpha_internal_spmat *source,
                                                alpha_internal_spmat **dest,
diff --git a/src/core/op_/alphasparse_convert_hyb.c b/src/core/op_/alphasparse_convert_hyb.c
index e8c16e9..38360c6 100644
--- a/src/core/op_/alphasparse_convert_hyb.c
+++ b/src/core/op_/alphasparse_convert_hyb.c
@@ -1,6 +1,8 @@
+#include "alphasparse.h"
 #include "alphasparse/format.h"
 #include "alphasparse/spmat.h"
 #include "alphasparse/util/check.h"
+#include "alphasparse/util/malloc.h"
 
 alphasparse_status_t convert_hyb_datatype_coo(const alpha_internal_spmat *source,
                                              alpha_internal_spmat **dest,
diff --git a/src/core/op_/alphasparse_convert_sky.c b/src/core/op_/alphasparse_convert_sky.c
index f181202..6fbbde2 100644
--- a/src/core/op_/alphasparse_convert_sky.c
+++ b/src/core/op_/alphasparse_convert_sky.c
@@ -5,6 +5,7 @@
 #include "alphasparse/spmat.h"
 #include "alphasparse/util/check.h"
 #include "alphasparse/util/malloc.h"
+
 alphasparse_status_t convert_sky_datatype_coo(const alpha_internal_spmat *source,
                                              alpha_internal_spmat **dest,
                                              const alphasparse_fill_mode_t fill,
